hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Wangda Tan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-6142) Support rolling upgrade between 2.x and 3.x
Date Fri, 03 Feb 2017 20:30:52 GMT

    [ https://issues.apache.org/jira/browse/YARN-6142?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15852076#comment-15852076
] 

Wangda Tan commented on YARN-6142:
----------------------------------

Thanks [~andrew.wang] for looking at this issue, 

I just look at compatibility doc and patch of YARN-3583, it's my bad. We only followed the
Java API compatibility but somehow missed proto compatibility. 

Will file sub JIRA to fix the issue.

> Support rolling upgrade between 2.x and 3.x
> -------------------------------------------
>
>                 Key: YARN-6142
>                 URL: https://issues.apache.org/jira/browse/YARN-6142
>             Project: Hadoop YARN
>          Issue Type: Task
>          Components: rolling upgrade
>    Affects Versions: 3.0.0-alpha2
>            Reporter: Andrew Wang
>            Assignee: Ray Chiang
>            Priority: Blocker
>
> Counterpart JIRA to HDFS-11096. We need to:
> * examine YARN and MR's  JACC report for binary and source incompatibilities
> * run the [PB differ|https://issues.apache.org/jira/browse/HDFS-11096?focusedCommentId=15816405&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-15816405]
that Sean wrote for HDFS-11096 for the YARN PBs.
> * sanity test some rolling upgrades between 2.x and 3.x. Ideally these are automated
and something we can run upstream.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message